Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 234472 - test/passkey-agent can't be found for bluez-utils-3.36.
Summary: test/passkey-agent can't be found for bluez-utils-3.36.
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: Petteri Räty (RETIRED)
URL:
Whiteboard:
Keywords:
: 234466 234524 (view as bug list)
Depends on:
Blocks: CVE-2008-2374
  Show dependency tree
 
Reported: 2008-08-11 15:26 UTC by Jon
Modified: 2009-03-20 23:25 UTC (History)
11 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
My emerge --info output. (emerge.info,4.07 KB, text/plain)
2008-08-11 15:27 UTC, Jon
Details
patch for bluez-utils-3.36.ebuild (bluez-utils-3.36.ebuild.patch,501 bytes, patch)
2008-08-11 22:25 UTC, Jozef Maslik
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jon 2008-08-11 15:26:53 UTC
Cannot complete an emerge of bluez-utils-3.36.  Dies with: !!! dobin: test/passkey-agent does not exist

I just synced today and upgraded from bluez-utils-3.32 (which compiles fine).  The emerge compiles and installs the files fine but cannot seem to finish the emerge with the above error.


Reproducible: Always

Steps to Reproduce:
1. Sync portage tree.
2. Emerge =net-wireless/bluez-utils-3.36
3.
Comment 1 Jon 2008-08-11 15:27:12 UTC
Created attachment 162689 [details]
My emerge --info output.
Comment 2 a-strike 2008-08-11 17:02:51 UTC
Same here ...

Portage 2.2_rc1 (default/linux/amd64/2008.0/desktop, gcc-4.3.1, glibc-2.8_p20080602-r0, 2.6.26-gentoo-a1 x86_64)
=================================================================
System uname: Linux-2.6.26-gentoo-a1-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T7500_@_2.20GHz-with-glibc2.2.5
Timestamp of tree: Mon, 11 Aug 2008 16:34:01 +0000
distcc 2.18.3 x86_64-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.4.4-r13, 2.5.2-r6
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.5
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r2
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-mtune=core2 -march=core2 -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-mtune=core2 -march=core2 -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/distfiles"
FEATURES="ccache distlocks parallel-fetch preserve-libs sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="de_DE.UTF-8"
LC_ALL="de_DE.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="de"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/desktop-effects /usr/portage/local/layman/wschlich-testing /usr/portage/local/layman/sajinet /usr/portage/local/layman/java-gcj-overlay /usr/portage/local/layman/java-overlay /usr/portage/local/arumpel"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="7zip X a52 aac acl acpi alsa amd64 audiofile bash-completion berkdb bluetooth branding bzip2 cairo cdaudio cddb cdparanoia cdr chroot cli cracklib crypt css cups dbus dga directfb divx dri dvd dvdr dvdread eds emboss encode esd evo fam fbcon ffmpeg firefox foomaticdb fortran ftp gcc4 gdbm gif glibc-omitfp glitz gnome gnome-keyring gpm gstreamer gtk gtkhtml gzip hal iconv id3tag ieee1394 imagemagick imap ipv6 isdnlog java javacomm javascript jpeg kerberos kvm laptop ldap libnotify lm_sensors mad midi mikmod mime mmx mozilla mp2 mp3 mp4 mp4live mpeg mpeg2 mplayer mudflap multilib ncurses network networkmanager nls nptl nptlonly nsplugin ntfs ogg openal opengl openmp openntpd openssh openssl pam pcre pdf perl png ppds pppd python qt-static qt3 qt3support qt4 quicktime rdesktop readline reflection rpm rtsp samba sdl session snmp speedo spell spl sse sse2 ssl startup-notification subtitles svg svgz sysfs syslog tcpd threads tiff transcode truetype type1 unicode usb v4l v4l2 vcd vorbis wifi wmf x264 xcb xcomposite xine xml xorg xscreensaver xulrunner xv xvid xvmc zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de" USERLAND="GNU" VIDEO_CARDS="fbdev v4l vesa nv vga nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 Michael 'BreiteSeite' Kühn 2008-08-11 19:25:29 UTC
Same problem here...

bigben ~ # emerge --info
Portage 2.2_rc7 (default/linux/amd64/2008.0/desktop, gcc-4.2.4, glibc-2.8_p20080602-r0, 2.6.26-gentoo x86_64)
=================================================================
System uname: Linux-2.6.26-gentoo-x86_64-Intel-R-_Core-TM-2_CPU_6600_@_2.40GHz-with-glibc2.2.5
Timestamp of tree: Mon, 11 Aug 2008 15:45:01 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.6-r1
dev-lang/python:     2.5.2-r7
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.5
sys-apps/sandbox:    1.2.18.1-r3
sys-devel/autoconf:  2.13, 2.62-r1
sys-devel/automake:  1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.4
virtual/os-headers:  2.6.25-r4
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -funroll-loops -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe -funroll-loops -march=native"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks parallel-fetch preserve-libs sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.tiscali.nl/"
LDFLAGS="-Wl,-O1"
LINGUAS="de"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/java-overlay /usr/local/portage/layman/desktop-effects"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="7zip X a52 aac acpi additions alsa amarok amd64 audacious automount bluetooth bzip2 cairo cdda cddb cdio cdr cli cracklib crypt dbus divx dmi dri dvd dvdr dvdread encode exif fastcgi ffmpeg firefox fortran fuse gdbm gif gnutls gpm gtk gzip hal hddtemp iconv ipod irmc isdnlog ithreads java java6 javascript jfs jpeg jpeg2k kde kerberos libnotify lm_sensors logitech-mouse mad midi mikmod mmx mmxext mp3 mp4 mpeg mpeg2 mplayer mudflap multilib musicbrainz ncurses njb nls nojoystick nptl nptlonly nvidia ogg ogg123 opengl openssl pam pcre pdf perl pidgin pmount png ppds python qt3 qt3support qt4 quicktime rar readline reflection samba screen sdl session sftp spl sse sse2 ssl ssse3 startup-notification subversion svg sysfs tcpd tiff truetype unicode usb vorbis wma wmp wxwindows x264 xml xorg xv xvmc zip zlib" ALSA_CARDS="ca0106" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 4 Daniel Gryniewicz (RETIRED) gentoo-dev 2008-08-11 19:35:29 UTC
Needs the test-programs flag to build those.  Set that as a workaround.
Comment 5 Jozef Maslik 2008-08-11 22:23:34 UTC
maybe typo - patch for bluez-utils-3.36.ebuild attached
Comment 6 Jozef Maslik 2008-08-11 22:25:31 UTC
Created attachment 162715 [details, diff]
patch for bluez-utils-3.36.ebuild
Comment 7 Gregg Casillo 2008-08-12 02:20:52 UTC
Patch worked for me. Thanks.
Comment 8 Sab 2008-08-12 06:10:09 UTC
sorry, a n00b question
Which part of ebuild should I add the line for the patch?
thanks
Comment 9 Ferenc Erki 2008-08-12 08:18:31 UTC
The attached patch works for me, thank you!
Comment 10 Mike Auty gentoo-dev 2008-08-12 08:31:58 UTC
*** Bug 234466 has been marked as a duplicate of this bug. ***
Comment 11 Mike Auty gentoo-dev 2008-08-12 08:33:30 UTC
*** Bug 234524 has been marked as a duplicate of this bug. ***
Comment 12 Tiziano Müller (RETIRED) gentoo-dev 2008-08-12 14:11:01 UTC
Sorry, this was my fault :-(
Fixed, thanks.
Comment 13 Andreas Lang 2009-03-20 23:25:40 UTC
updating dev-libs/libnl and then merging bluez-utils solved this bug for me